<script>
    var ${{ analysisName }} = $('#{{ sellingCostType }}');
    // When sport gets selected ...
    ${{ analysisName }}.change(function () {
        // ... retrieve the corresponding form.
        var $form = $(this).closest('form');
        // Simulate form data, but only include the selected sport value.
        var data = {};
        data[${{ analysisName }}.attr('name')] = ${{ analysisName }}.val();
        // Submit data via AJAX to the form's action path.
        $.ajax({
            url: $form.attr('action'),
            type: $form.attr('method'),
            data: data,
            success: function (html) {

                if ($('#{{ sellingCostValue }}').length) {

                    // Replace current position field ...
                    $('#{{ sellingCostValue }}').closest('.form-group').replaceWith(
                        // ... with the returned one from the AJAX response.
                        $(html).find('#{{ sellingCostValue }}').closest('.form-group')
                    );
                    // Position field now displays the appropriate positions.

                } else {

                    // Replace current position field ...
                    $('#{{ sellingCostType }}').closest('.form-group').after(
                        // ... with the returned one from the AJAX response.
                        $(html).find('#{{ sellingCostValue }}').closest('.form-group')
                    );
                    // Position field now displays the appropriate positions.
                }

            }
        });
    });
</script>